## org.eclipse.datatools.sqltools.result.internal.ui.view
Class ResultSetViewerDescriptor

    java.lang.Object
      org.eclipse.datatools.sqltools.result.internal.ui.view.ResultSetViewerDescriptor

    public class ResultSetViewerDescriptor

extends java.lang.Object

Describes a result set viewer

Author:
  Quy On

Constructor Summary
`ResultSetViewerDescriptor(ExternalResultSetViewerProvider viewer, java.lang.String vendor, java.lang.String name, java.lang.String defaultViewer)` Creates an instance of ResultSetViewerDescriptor

Method Summary
`java.lang.String` `getDefaultViewer()` gets the default viewer
`java.lang.String` `getVendor()` Gets the database vendor
`java.lang.String` `getViewerID()` Gets the viewer name
`ExternalResultSetViewerProvider` `getViewerProvider()` Gets the result set viewer provider
`void` `setDefaultViewer(java.lang.String viewer)` Sets the default viewer
`void` `setVendor(java.lang.String vendor)` Sets the database vendor
`void` `setViewerID(java.lang.String name)` Sets the viewer name
`void` `setViewerProvider(ExternalResultSetViewerProvider viewer)` Sets the result set viewer

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ResultSetViewerDescriptor

    public ResultSetViewerDescriptor(ExternalResultSetViewerProvider viewer,
                                     java.lang.String vendor,
                                     java.lang.String name,
                                     java.lang.String defaultViewer)

  Creates an instance of ResultSetViewerDescriptor

  Parameters:
    `viewer` - the result set viewer provider
    `vendor` - the vendor name
    `name` - the display name for this viewer
    `defaultViewer` - the default viewer

Method Detail

### setViewerProvider

    public void setViewerProvider(ExternalResultSetViewerProvider viewer)

  Sets the result set viewer

  Parameters:
    `viewer` - the result set viewer provider

### getViewerProvider

    public ExternalResultSetViewerProvider getViewerProvider()

  Gets the result set viewer provider

  Returns:
    the result set viewer provider

### setVendor

    public void setVendor(java.lang.String vendor)

  Sets the database vendor

  Parameters:
    `vendor` - the database vendor

### getVendor

    public java.lang.String getVendor()

  Gets the database vendor

  Returns:
    the database vendor

### setViewerID

    public void setViewerID(java.lang.String name)

  Sets the viewer name

  Parameters:
    `name` - the name of the viewer

### getViewerID

    public java.lang.String getViewerID()

  Gets the viewer name

  Returns:
    the name of the viewer

### setDefaultViewer

    public void setDefaultViewer(java.lang.String viewer)

  Sets the default viewer

  Parameters:
    `viewer` - the default viewer name

### getDefaultViewer

    public java.lang.String getDefaultViewer()

  gets the default viewer

  Returns:
    the name of the default viewer